===== 2.7 (??? ??, 2015) =====
* (planned) Tablet-oriented preferences dialog
* (planned) Sync: single book upload
* (planned) Fixed authors list/tags list editing
* (planned) CSS selectors priority

===== 2.6 (??? ??, 2015) =====
* Customisable main menu
* Simple widgets

===== 2.5.10 (Sep ??, 2015) =====
* Second (external) SD card entry in the library (classic view)
* Option for displaying current reading progress as percentage (by Danie Roux, danieroux@github)
* Option for max number of TOC marks on progress indicator
* Does not close file chooser dialog on long item click if item is not selectable

===== 2.5.9 (Sep 11, 2015) =====
* Fixed cache access issue
* Fixed native library loading issue
* Updated Belarusian localization (by Usievaład Čorny)
* No FloatMath usages (class FloatMath removed in Android M)

===== 2.5.8 (Sep 04, 2015) =====
* Display brightness percent during adjustment (android 3 and higher)
* Fixed MS Word docs support

===== 2.5.7 (Aug 28, 2015) =====
* Better implementation of brighthess levels
* Minor issues in book sync

===== 2.5.6 (Aug 25, 2015) =====
* New (material design style) icon
* More brighthess levels in reading mode

===== 2.5.5 (Aug 14, 2015) =====
* Compatibility with new versions of LEO dictionary
* Fixed possible crash in (native) zip decompression
* Fized possible NPE in FileChooserActivity
* New style number picker preference (Android 3+)
* Updated Czech localisation (by Marek Pavelka)
* Updated Dutch localisation (by Frank Fesevur)

===== 2.5.4 (Jul 24, 2015) =====
* Fixed possible deadlocks
* Fixed possible fb2 footnotes text trimming

===== 2.5.3 (Jul 05, 2015) =====
* Fixed large libraries scanning issue
* Popups font size option
* Fixed ANSI text processing in MsWord files
* Ask what to run if both FBReader & FBReader Premium are installed
* Updated Czech localisation (by Marek Pavelka)
* Updated German localisation (by Matthias Dill)
* Updated Romanian localization (by Girlea Alex)

===== 2.5.2 (Jun 23, 2015) =====
* better communication with plugin cover services
* Updated Czech localisation (by Marek Pavelka)
* Updated German localisation (by Matthias Dill)

===== 2.5.1 (Jun 21, 2015) =====
* removed FloatMath.hypot call

===== 2.5 (Jun 20, 2015) =====

===== 2.5 beta 3 (Jun 18, 2015) =====
* Better Literata font support
* Updated Dutch localisation (by Frank Fesevur)
* Updated Spanish localisation (by Pilar Mera)
* Updated Portuguese localisation (by Tome Mendes)
* Updated Vietnamese localisation (by Khánh Nguyễn Quốc)
* "Premium" dialog

===== 2.5 beta 2 (Jun 16, 2015) =====
* Hide outline on clicking footnote's 'more' button
* Better look for menu activities in Android 5+
* Separate resources for en and en_US
* Updated English resources
* Updated German localisation (by Matthias Dill)
* Added Aard2 support (by Mike Fabian)

===== 2.5 beta 1 (Jun 13, 2015) =====
* BookDownloader accepts all new file types (including pdf)
* Same font size in the main text and in popups

===== 2.5 beta 0 (Jun 12, 2015) =====
* ComicBook plugin icon
* Updated Armenian localisation (by Yavruhrat, Marat Yavrumyan)
* Added Korean intro text
* New style selection rendering
* Better non-breakable space processing
* Do not start page sliding for very short horizontal shifts

===== 2.4.7 (May 20, 2015) =====
* Added Korean localisation
* Updated Vietnamese localisation (by Khánh Nguyễn Quốc)
* Updated Japanese localisation (by Tamotsu Takahashi)
* Updated Czech localisation (by Marek Pavelka)
* Updated Armenian localisation (by Yavruhrat, Marat Yavrumyan)
* Links update: http => https
* Fixed zero-width space issue for bookmarks in Japanese
* Fixed old Slovoed integration
* Better check for google account (do not try google auth if google account type is not allowed)
* Max uploadable file size increased to 120Mb
* Better Dictan integration (uses Dictan 5.0 extra flags)

===== 2.4.6 (May 06, 2015) =====
* Dictan dictionary integration
* New icons in selection & search menus
* Footnote toast duration setting
* Fixed sync authorisation on non-Google devices

===== 2.4.5 (May 01, 2015) =====
* Fixed possible error in bookmarks synchronisation
* Fixed <aside> tag behaviour: do not insert end-of-section

===== 2.4.3,2.4.4 (Apr 28, 2015) =====
* Improved bookmarks list view
* Better communication with format plugins
* Fully updated Japanese localisation (by Tamotsu Takahashi)
* Updated Vietnamese localisation (by Khánh Nguyễn Quốc)

===== 2.4.1,2.4.2 (Apr 25, 2015) =====
* Fixed selection slider behaviour
* Updated Czech localisation (by Marek Pavelka)
* Fixed possible crash on DB update

===== 2.4 (Apr 25, 2015) =====
* Updated bookmarks list view
* Uses last style id to create new bookmarks

===== 2.4 beta 3 (Apr 22, 2015) =====
* Fixed long-tap finger selection (word under finger is selected, not a word in the line above)
* Uses 'epub:type' attribute for detecting footnotes
* Automatic footnotes detector

===== 2.4 beta 2 (Apr 22, 2015) =====
* Footnotes toasts (uses SuperToasts library)

===== 2.4 beta 1 (Apr 19, 2015) =====
* New bookmarks creation interface (uses SuperToasts library)

===== 2.4 beta 0 (Apr 17, 2015) =====
* Bookmarks synchronisation
* Updated Dutch localisation (by Frank Fesevur)
* Updated German localisation (by Matthias Dill)
* Drops download notification on book opening

===== 2.3.3 (Mar 27, 2015) =====
* Improved bookshelf and the book network integration
* Quick access to labels list
* Updated Portuguese localisation (by Tomé Mendes, http://www.tomemendes.com)

===== 2.3.2 (Mar 01, 2015) =====
* Fixed search dialog crash on Nook Glowlight™ (NG2)
* Fixed double presence of some plugins
* Updated copyright notice: "Geometer Plus" => "FBReader.ORG Limited", year => 2015

===== 2.3.1 (Feb 25, 2015) =====
* Fixed scanning file system for books

===== 2.3 (Feb 14, 2015) =====
* File format filter option (can be changed from the bookshelf plugin)
* Samsung multi-window support
* Bookshelf view item in the library
* Updated Persian localisation by biomanw (https://github.com/biomanw)
* Better RTF encoding detection
* Don't fail on RTF files with .doc extension

===== 2.2.7 (Jan 30, 2015) =====
* Fixed behaviour for pages with multiple images (fb2.zip only)
* Fixed behaviour for images with # in name
* No sync permission required for sync service call
* Async plugin covers loading
* (internal) added timestamp & comment fields for labels

===== 2.2.6 (Jan 20, 2015) =====
* No crach in cover service
* Cover service sends image sizes in headed

===== 2.2.4 (Jan 17, 2015) =====
* Fixed cover service issues
* Config service does not require special permission

===== 2.2.3 (Jan 16, 2015) =====
* Full compatibility with Bookshelf plugin
* Fixed possible problem in Belarusian OPDS viewer

===== 2.2.2.1 (Jan 14, 2015) =====
* Fixed SQL exception in DB update (updateTables29)
* Fixed language code de, fr & pl help

===== 2.2.2 (Jan 13, 2015) =====
* Added French, German, Greek, Polish, and Ukrainian intro translations
* Updated Dutch localisation + Dutch intro (by Frank Fesevur)
* Updated German localisation (by Matthias Dill)
* added IBookCollection.getDescription(book) method
* new style recent books requests

===== 2.2.1 (Jan 03, 2015) =====
* Fixed English mistakes (thanks to Sahak Petrosyan)
* Added Spanish & Portuguese introduction translations
* Possible fix of exception in 'addInvisibleBookmark()' call

===== 2.2 (Dec 31, 2014) =====
* Progress indicator in local/network library for Lollipop+
* Bookshelf library view plugin compatibility
* 'Default book' changed to the new style help for all languages
* Misc LitRes optimisations

===== 2.1.13 (Dec 24, 2014) =====
* New start screen for newbies

===== 2.1.12 (Dec 14, 2014) =====
* Fixed an infinite loop (and OOM) on rendering some formatted ePubs
* Added color settings for new style footer (separate for day & night profiles)

===== 2.1.11 (Dec 12, 2014) =====
* Sync optimisation: do not send unnecessary requests
* Fixed crash on old (2.0 and 2.1) devices
* Fixed opening of huge ePubs (300+ htmls inside)
* Fixed Smashwords catalog parsing
* Changes from 2.2 beta 7

===== 2.2 beta 7 (Dec 09, 2014) =====
* Fixed behaviour on feeds with incorrect mimetypes

===== 2.1.10 (Dec 06, 2014) =====
* All changes from 2.2 beta 6
* New footer style
* Updated Dutch localisation (by Frank Fesevur)

===== 2.2 beta 6 (Dec 04, 2014) =====
* Material design style page sliding

===== 2.2 beta 5 (Dec 01, 2014) =====
* Fixed Lenovo TAB ActionBar view

===== 2.1.9 (Nov 24, 2014) =====
* CBZ plugin compatibility
* Updated Czech localisation (by Marek Pavelka)
* Updated Dutch localisation (by Frank Fesevur)
* Updated Portuguese localisation (by Igor Marques)
* Updated Romanian localization (by Mary Hit)
* All changes from 2.2 beta 4

===== 2.2 beta 4 (Nov 16, 2014) =====
* Missing book download (from the book network)
* Material design support in themes
* Updated German localisation (by Matthias Dill)

===== 2.1.8.1 (Nov 12, 2014) =====
* Bookshelf link disabled till 2.2 release
* Synchronisation: fixed (rare) multiple uploads of the same book

===== 2.1.8 (Nov 11, 2014) =====
* All changes from 2.2 beta 0,1,2,3

===== 2.2 beta 3 (Nov 10, 2014) =====
* Added 'padding' and 'padding-*' CSS property support
* Added support of 'display:block' CSS property value
* Synchronization process optimization for large (300+ books) collections

===== 2.2 beta 2 (Nov 02, 2014) =====
* Added '*' selector support in CSS
* Optimised combined selectors processing
* Works with OPDS plugins (https://github.com/geometer/OpdsPluginPrototype)

===== 2.2 beta 1 (Oct 14, 2014) =====
* Fixed "style" attribute support in ePubs
* Added "vertical-align" CSS property support (lengths, "sub" and "super" values)

===== 2.2 beta 0 (Oct 12, 2014) =====
* Added combined CSS selectors support (http://www.w3.org/TR/css3-selectors/#combinators)

===== 2.1.7 (Oct 07, 2014) =====
* Fixed Calibre server integration
* Updated Belarusian localization (by Usievaład Čorny)
* Updated Czech localisation (by Marek Pavelka)
* Updated Japanese localisation (by Tamotsu Takahashi)

===== 2.1.6 (Sep 28, 2014) =====
* Updated Belarusian localization (by Usievaład Čorny)

===== 2.1.5 (Sep 27, 2014) =====
* Fixed TTF loader (for Roman fonts)
* Fast hyphenation for very long words (200+ characters)
* Search results color option
* Updated Czech localisation (by Marek Pavelka)
* Updated German localisation (by Matthias Dill)
* Updated Japanese localisation (by Tamotsu Takahashi)

===== 2.1.4 (Sep 21, 2014) =====
* CSS: fixed <ul>/<ol> top/bottom margin behaviour
* Fixed loading of Google Roboto files (if added as external TTFs)
* sync: 'missing book' toast replaced with notification

===== 2.1.3 (Sep 18, 2014) =====
* CSS: fixed multiple entries for same selector
* CSS: fixed '0' (with no units) length value
* CSS: 'margin' property support

===== 2.1.2 (Sep 17, 2014) =====
* Fixed ToC in mobi files
* Minor fixes in mobi decompression
* Updated French localisation (by Mathias Monnerville)

===== 2.1.1 (Sep 12, 2014) =====
* Fixed links behaviour in third-party libraries dialog
* Internal changes: option name for bg fill mode changed

===== 2.1 (Sep 11, 2014) =====
* New engine for mobipocket (a.k.a. Kindle) files: added support for huffdic compression and CSS
* Better background settings
* DjVu plugin support
* Do not start SyncService if synchronization is disabled
* Sync: 'synchronize positions only' option
* Tips are back but disabled by default
* Fixed numbered lists displaying in ePubs (by Tamotsu Takahashi)
* Fixed text search for texts with zero-width spaces (e.g. Japanese texts)
* Added Japanese localisation (by Tamotsu Takahashi and Naofumi Fukue)
* Updated Dutch localisation (by Frank Fesevur)
* Updated Czech localisation (by Marek Pavelka)

===== 2.0.6 (Aug 23, 2014) =====
* Version for old (2.*) devices does not use google services API
* Fixed fullscreen mode behaviour
* Fixed possible synchornisation crashes
* Fixed look for empty sync catalog
* Fixed work with files with ':' in name
* Fixed using of books DB after finish of service

===== 2.0.5 (Aug 18, 2014) =====
* Fixed possible synchornisation crash

===== 2.0.4 (Aug 15, 2014) =====
* Better integration with PDF plugin
* Fixed custom fonts support for Nook Simple Touch
* Updated Portuguese localization (by Bruno Ramalhete)
* Minor synchronisation algorithm fixes

===== 2.0.3 (Aug 13, 2014) =====
* Used web-based authentication for devices with API < 14

===== 2.0.2 (Aug 12, 2014) =====
* Fixed synchronization site name for API < 11

===== 2.0.1 (Aug 12, 2014) =====
* Several NPE fixes
* Fixed issue with starting SyncService with no intent

===== 2.0 (Aug 11, 2014) =====
* Synchronisation with FBReader book network
* Uses ACCESS_NETWORK_STATE permission to detect if device is connected to the internet over WiFi
* Download from OPDS for all supported file types
* Tags and authors editing
* PDF plugin is available
* Updated Bulgarian localization (by Георги Георгиев)
* Updated Czech localization (by Marek Pavelka)
* Updated German localization (by Matthias Dill)
* Updated Romanian localization (by Gîrlea Alexandru)
* Updated Portuguese localization (by Bruno Ramalhete)
* Automatic cache cleanup (do not store files older than 1 day)
* Tips are disabled

===== 1.10.3.2 (Jun 09, 2014) =====
* ePub styles: decreased default spacings

===== 1.10.3 (Jun 08, 2014) =====
* ePub loading speed optimizations
* ePub: added support for CSS margin-top/margin-bottom properties
* ePub: fixed empty line support in <pre>-formatted text
* New CSS-like style for default style definitions
* better cover detection for ePubs
* fixed possible crash on ePub files updated while program is running
* Arabic FBReaderJ resources, by Ahmed Saidi (https://github.com/boussouira)
* Updated German localization (by Matthias Dill)

===== 1.10.2 (May 25, 2014) =====
* Fixed local library duplicates issue
* Updated German localization (by Matthias Dill)

===== 1.10.1 (May 09, 2014) =====
* Multiple locations for books, fonts and backgrounds
* Updated German localization (by Matthias Dill)
* Updated Czech localization (by Marek Pavelka)
* Experimental support for opds authentication (like oauth/oauth2)

===== 1.10.0.5 (Apr 22, 2014) =====
* Fixed crash on unexisting function (LinkedList.push()) for devices with SDK <= 8
* Fixed problem with fullscreen mode warning (it was not possible to dismiss it on some devices)
* Save book position in background

===== 1.10.0.4 (Apr 21, 2014) =====
* Fixed metrics == null issue
* Fixed yota-specific class cast exception
* Fixed NPE in FontEntry.equals()
* Fixed NPE in ZLTextPlainModel.getTextLength()
* Fixed skip operation on non-compressed zips
* Fixed possible AOOB in text model

===== 1.10.0.3 (Apr 21, 2014) =====
* Fixed duplicate processing for some CSS properties

===== 1.10.0.2 (Apr 21, 2014) =====
* Fixed NPE in embedded font copying code

===== 1.10.0.1 (Apr 21, 2014) =====
* Fixed NPE if external cache dir is not defined

===== 1.10 (Apr 21, 2014) =====
* Fixed current position storing
* New directory settings
* Android 2.2 and higher: standard cache directory is now used
* Experimental video support
* CSS parsing optimization for ePubs (do not parse css files multiple times)
* CSS support improvement: added support for space-separated classes list
* Added CSS @import support
* Added CSS font-family property support
* Added ePub embedded fonts support
* Android 3.*/4.*: FBReader works in fullscreen mode by default; hint at start added
* Updated Czech localization (by Marek Pavelka)
* Updated Hungarian localization (by Szabó Lajos Balázs)

===== 1.9.6.1 (Feb 24, 2014) =====
* Fixed some config vaues reading (e.g. background)
* Updated Czech localization (by Marek Pavelka)

===== 1.9.6 (Feb 23, 2014) =====
* Config speed optimization
* Fixed bookmarks creation & browsing problem
* Fixed URL resolving (this also fixed bug with some catalogs created with calibre2opds)
* Do not search on qumran sites with cyrillic patterns
* Better network search logic

===== 1.9.5.5 (Feb 4, 2014) =====
* Fixed preference activity on Android 2.* devices

===== 1.9.5.4 (Feb 3, 2014) =====
* Preference activity in a separate process
* Fixed re-setting config value to default operation

===== 1.9.5.3 (Feb 1, 2014) =====
* Fixed YotaPhone second screen support
* Fixed color profile loading
* Updated Basque localization by Ibon Idoiaga Basaras
* Updated Czech localization (by Marek Pavelka)

===== 1.9.5.2 (Feb 1, 2014) =====
* Fixed one more possible crash on program start

===== 1.9.5.1 (Jan 31, 2014) =====
* Fixed possible crash on program start

===== 1.9.5 (Jan 31, 2014) =====
* Fixed back button behaviour
* Fixed recent books list
* Fixed possible crash in YotaPhone back screen service
* New config subsystem implementation
* Updated Czech localization (by Marek Pavelka)
* Updated Dutch localization (by Frank Fesevur)
* Special edition for Kindle Fire HD(X) devices
* Better detection of catalog where FBReader can write books
* Fixed Russian hyphenations even for devices with no koi8-r encoding
* Special search dialog for Nook Simple Touch
* New item "Install plugins" in the main menu

===== 1.9.4-nst (Jan 12, 2013) =====
* Special edition for Nook Simple Touch

===== 1.9.4 (Dec 23, 2013) =====
* YotaPhone back screen support
* Fullscreen mode in android 4.4 is now optional
* New option: adjust image color according background. For light background, adjusts too light colors to match background, for dark background adjusts too dark areas.
* Updated Czech localization (by Marek Pavelka)
* It is possible to load fonts from assets; PT Sans font added in ics version

===== 1.9.3 (Nov 22, 2013) =====
* Added Greek localization (by Alex Doulamis)
* Updated Chinese localization (by Chris Yu)
* Updated Catalan localization (by Alfonso Montero)
* Litres: don't fail on loading of purchased books list (for large collections).
* Immersive fullscreen mode on android 4.4 devices

===== 1.9.2 (Nov 02, 2013) =====
* Fixed adding of new books to the library

===== 1.9.1 (Nov 01, 2013) =====
* hi-res launcher icon
* Updated Catalan localization (by Carles Pastor i Badosa)
* Updated Czech localization (by Marek Pavelka)
* mobi: blockquote tag support
* fixed cancel menu "jump back" item behaviour: returns exactly to the old position
* fixed book info saving

===== 1.9 (Oct 14, 2013) =====
* Dictionary support
	** added OpenDictionary support (code provided by Paragon Software), better integration with SlovoEd dictionaries
	** fixed ColorDict 3 integration
	** added Lingvo integration
* Network library
	** Disable/enable separate catalogs
	** Change order of catalogs
	** Fixed unexpected 'Catalog is empty' messages
* Formats
	** mobi: added support for <div> & <mbp:pagebreak> tags
	** ePub: fixed reading of files generated from LibreOffice
	** ePub: no empty paragraphs before/after the cover
	** RTF: added unicode symbols (\u command) support
* Localizations
	** Danish localization done by Jens Kaestel, sponsored by Panacea Supplies
	** Danish hyphenation patterns imported by Dennis Sheil of Panacea Supplies
	** Added Persian localization by HYIPEDU Team
	** Added Basque localization by Ibon Idoiaga Basaras from http://librezale.org
	** Added Armenian localization by Yavruhrat, Marat Yavrumyan, Ruben Tarumian
	** Updated French localization by Mathias Monnerville
* Small features & fixes
	** Help item in the main menu (opens F.A.Q. page on the site)
	** List views scrolling speed-up (https://github.com/geometer/FBReaderJ/issues/148)
* Internal changes
	** Current reading progress is saved in books db

===== 1.8.2 (Jun 13, 2013) =====
* Editable highlighting styles
* Bookmarks with no highlighting
* Two-column view in horizontal mode is enabled by default for 7" devices
* New color picker dialog (AmbilWarna library http://code.google.com/p/android-color-picker/ is used)
* Updated Spanish localization (by Diego Bernardi, sponsored by Panacea Supplies)
* Updated Czech localization (by Marek Pavelka)
* Updated Dutch localization (by Frank Fesevur)
* Bitknights dictionaries support (by Norbert Kenderesi)
* Support for new Paragon Software dictionaries (by Paragon Software)
* Fixed decimal point separator in preferences (idea by Dennis Sheil)
* Fixed book info saving for BookInfoActivity/EditBookInfoActivity (service mechanism is used instead of Activity.setResult())

===== 1.8.1 (May 06, 2013) =====
* Fixed ConcurrentModificationException in ZLTextView

===== 1.8 (May 06, 2013) =====

* 2 column text view (in horizontal mode, optional, enabled by default on devices with diagonal > 7")
* text highlighting (show bookmarks in color)
* Fixed ePub books scanning
* Fixed series index representation: 10 instead 1E+1

===== 1.7.9 (Apr 23, 2013) =====
* Fixed Ukrainian hyphenations
* Fixed missing paragraph before new section issue (in some book formats)
* Fixed library/bookmarks start
* Georgian in language list in book info dialog
* Fixed interface language swithcing (change language immediately in menu, library, etc.)
* Added "add/remove book to/from favorites" items in BookInfoActivity menu
* Smaller font size in list activities
* Read/unread book marks

===== 1.7.8 (Mar 24, 2013) =====
* Fixed library scanning: all books are visible in the library
* Updated Czech & Norwegian translations
* Library saves book uids
* Calls for (possible) external library & bookmarks activities

===== 1.7.7 (Mar 14, 2013) =====
* Fixed XML parsing
* Fixed series order in library

===== 1.7.6 (Mar 13, 2013) =====
* Fixed several possible NPEs

===== 1.7.4/5 (Mar 11, 2013) =====
* Book/bookmark deserializer: SAX instead of our own XML parser
* Georgian localization (by Bookland.ge)
* Interface language option
* Book sort order in Library omits leading articles
* Fixed "screen stays switched on while locked" issue

===== 1.7.3 (Mar 04, 2013) =====
* Library service does not work in background after program closing
* We do not obfuscate code
* Fixed issue in 'Books sorted by title' library catalog: viewing book info does not remove book from the list
* Fixed issue with large (1000+) bookmarks collection opening

===== 1.7.2 (Feb 22, 2013) =====
* Restored android:changes attribute for all activities
* Fixed possible NPE in BookmarksActivity

===== 1.7.1 (Feb 18, 2013) =====
* Fixed several NPEs

===== 1.7 (Feb 17, 2013) =====
* Introduced library service; FBReader loads library in background
* Fixed issue for XHTML files with several body tags (sometimes produced by Calibre)
* Fixed navigation popup text
* Fixed NPE in findViewById in the main activity
* Popup dictionary (https://play.google.com/store/apps/details?id=com.barisatamer.popupdictionary) integration
* Catalan localization (by Alfonso Montero)
* Open 'additional links in network library' with correct orientation
* Some incorrect FB2 files support (li/i/b tags, href attributes with no namespace and with unknown namespace ids) -- e.g. CoolReader manual
* Fixed 'Book is being downloaded' button behaviour (in Network book info activity)

===== 1.6.9 (Jan 03, 2013) =====
* Added Bulgarian translation (by Ники Арсов)
* Updated Dutch translation (by Frank Fesevur)
* Plural forms in Belarusian and Czech translations
* Fixed issue with rendering during backward page turning with no amimation
* xlarge screens support declared in AndroidManifest.xml
* ePub: fixed svg namespace processing
* main activity orientation is used in all dependent activities

===== 1.6.8 (Nov 30, 2012) =====
* Fixed NPE during adding a custom catalog with no search link

===== 1.6.7 (Nov 29, 2012) =====
* Android 4.*: show status bar if action bar is shown
* Bulgarian hyphenation patterns, converted by Kaloyan Raev
* OPDS: fixed opensearch description support

===== 1.6.6 (Nov 13, 2012) =====
* Fixed 'extra paragraph break after each footnote mark' issue for RTFs (and may be some other formats)
* Fixed <pre>formatted text rendering
* Fixed utf-8 *.txt files processing
* Fixed library crash on some *.doc files
* Updated Spanish localization (by Francisco Alvarado)

===== 1.6.5 (Nov 04, 2012) =====
* Fixed footnotes processing in rtf's
* Updated Czech localization (by Marek Pavelka)
* Added Belarusian localization (by Usievaład Čorny)

===== 1.6.4 (Oct 30, 2012) =====
* Supported encoding & language detection for *.doc (ms-word) files
* Fixed crash in book info dialogs on some epubs (on Jelly Bean devices), code taken from https://gist.github.com/3424004
* Fixed some problems in interaction with TTS+ plugin (by Greg Kochaniak)

===== 1.6.3 (Oct 22, 2012) =====
* FBReader stores text position after setPageStart API method (useful for TTS plugin, code by Greg Kochaniak)
* MSWord doc plugin synchronized with the main branch
* New options: apply/ignore values defined in CSS
* Fixed crash in settings on devices with German, Thai, Traditional Chinese and Vietnamese locales

===== 1.6.2 (Oct 13, 2012) =====
* Optimized animation speed
* Fixes in database code
* API changes for compatibility with TTS+ FBReader Plugin (by Greg Kochaniak)

===== 1.6.0/1.6.1 (Oct 06, 2012) =====
* MS Word (.doc) format support
* Fixed library duplicates issue
* Library speed optimization
* Images fitting option
* Fixed crash on some ePubs from Project Gutenberg
* Fixed possible crash on book description displaying
* Can add custom catalogs even if opensearch links are not fully correct
* Fixed curl page turning animation on devices with Android 4.0.3/4.0.4
* More API methods
* Serbian localization by Rancher
* Norwegian localization by Haakon Meland Eriksen
* Turkish localization by SonySinger
* Updated Chinese localization by Chris Yu
* Updated French localization by Mathias Monnerville
* Updated German localization by Ingolf Kübler
* Updated Ukrainian localization by Nazariy Makarenko

===== 1.5.5 (Jun 03, 2012) =====
* Fixed zip decompression (issue introduced in 1.5.4)

===== 1.5.4 (Jun 03, 2012) =====
* Minor issues in zip/ePub files
* fixed file opening from the library

===== 1.5.3 (May 25, 2012) =====
* Fixed book downloading for hosts containing '_' in name (e.g. for epubbud.com catalogue)
* Fixed ePub series info reading for books where calibre namespace is not defined
* Fixed CSS processing if attribute value is not finished by ';' symbol (e.g. for Gutenberg books)
* fb2: <empty-line/> inside <p> tag processing has been fixed

===== 1.5.2 (May 19, 2012) =====
* Fixed reading of zip archives with 0x08 bit in entry flag
* Fixed reading of zip entry names on MIPS devices
* Fixed reading of opf files with defined :opf prefix
* No book duplicates in library
* Updated Czech localization (by Marek Pavelka)

===== 1.5.1 (May 15, 2012) =====
* Fixed pt/px measured font size processing for CSS's
* Fixed ToC in some ePubs (e.g. for ePubs from project Gutenberg)
* Fixed crash on incorrect *.fb2.zip files

===== 1.5 (May 13, 2012) =====
* New faster engine got ePub files
* Improved cover support for ePubs
* Improved series information support for ePubs
* Some CSS support for ePubs:
  ** alignments
  ** font styles (bold/italic/underline/line-through)
  ** font size
  ** page breaks
* Portuguese translation by http://www.gototranslation.com, sponsored by Panacea Supplies
* ICS: old style navigation bar
* Fixed multibyte (UTF16, GB18030, etc.) encodings support
* Experimental html support

===== 1.4.5 (Apr 08, 2012) =====
* book sharing via e-mail, skype, etc
* 'Open library' and 'Open network library' items in back button menu
* ePub reader does not fail if NCX file in referenced but missing
* native plugin does not crash if cache file cannot be created
* right and left margind depend on screen size
* fixed 'no catalog title' issue in 'add custom catalog' dialog

===== 1.4.4 (Apr 01, 2012) =====
* introduced jni C++ wrappers (this avoids incorrect method calls)
* fixed repeated book opening issue
* max margin value changed to 100
* first line indent depends on screen DPI
* all footnotes in single file

===== 1.4.3 (Mar 29, 2012) =====
* fixed fb2 books opening issue
* fixed fb2 genres detection issue

===== 1.4.2 (Mar 27, 2012) =====
* Supported embedded images in RTF files
* New fb2 engine
* Fixed plugin items in main menu

===== 1.4.1 (Mar 23, 2012) =====
* RTF support (images are not supported at this moment)
* Fixed Dutch language detection

===== 1.4 (Mar 18, 2012) =====
* *.txt support
* Changed "Back" button behaviour: FBReader tries to jump back before showing Cancel menu
* Updated Czech localization (by Marek Pavelka)
* Smoother scrolling in local and network libraries
* Uses current device language for hyphenations if book language is not set

===== 1.3.9 (Feb 26, 2012) =====
* FBReader reads Mobipocket files with PDB/PRC extensions

===== 1.3.8 (Feb 26, 2012) =====
* Striked through/underlined text support
* Asynchronous bonjour scanning: user can select any found network even if scanning is still in progress
* Better support for "related" catalogs in book descriptions
* Updated Hungarian localization (by Szabó Lajos Balázs)
* Local network scanning has been moved to a separate plugin; WiFi permissions are not required more
* "Old" package works on new devices

===== 1.3.7 (Feb 9, 2012) =====
* Font smoothing settings (Settings -> Text -> Font properties)
* Fixed 'question symbols in menu' issue
* Android 3.*/4.0: Action bar is shown by default (Settings -> Appearance -> Show action bar)

===== 1.3.6 (Feb 6, 2012) =====
* Updated Ukrainian translation (by Nazariy Makarenko)
* LEO dictionary integration
* No conflicts between book images and covers
* No black screen for a long time at start: synchronization issue has been fixed
* OPDS optimization

===== 1.3.5 (Feb 2, 2012) =====
* About section in the preferences dialog
* Better SlovoEd dictionary integration (780 dictionaries are supported)
* CHANGE_WIFI_STATE permission is not required more
* getBookFileName() API method has been implemented
* Application start speed-up
* Network library: don't repaint all the views on image downloading
* Network library: select previous opened tree on back key pressing
* Network library: on-demand (on-scroll) catalog parts loading

===== 1.3.3 (Jan 18, 2012) =====
* Proguard -dontoptimize option, looks like these optimizations are buggy :(
* 3d page turning hardware optimization has been fixed

===== 1.3.2a (Jan 17, 2012) =====
* Fixed menu issue on old devices with ICS installed

===== 1.3.2 (Jan 17, 2012) =====
* MIPS processor architectures are supported (with NDK from http://developer.mips.com/android/download-android-ndk/)
* ExceptionInInitializerError processing has been fixed
* Menu button shows action/navigation bars on old devices with ICS installed
* Hardware acceleration is used for 3d animation if possible (Android 3/4)
* Fixed an issue for ePub files with incorrect cover label
* Better money amount formatting
* Grayscale Android 3.* logo is back
* Android 4: separate options for status bar & action bar
* Android 3/4: always show book title in the action bar
* Updated Czech localization (by Marek Pavelka)
* Updated Romanian localization (by Mary Hit)

===== 1.3.1 (Jan 9, 2012) =====
* Persistent tip prompt issue has been fixed
* Galaxy Tab specific Book info issue has been fixed

===== 1.3 (Jan 8, 2012) =====
* Tips subsystem has been implemented
* FBReader can listen for Bonjour (zeroconf) OPDS announcement. JmDNS (http://jmdns.sourceforge.net/) is used.
* Plugin API works on devices with Android 3/4
* Option for disabling button lights in Android 3/4 has been introduced
* Plural forms support in resources has been implemented
* Image in image view can be scaled using pinch (Android 2+)
* Full-screen cover images
* An exception in *.mobi file reading has been fixed
* New screen orientation option; keeps screen orientation between starts
* New action bar + navigation bar behaviour in Android 3/4 (screen center tap runs both bars)
* Quick access to book info in Android 3/4 (by tap on book title in action bar)
* TOC item name is shown in navigation window
* Versions for Honeycomb (Android 3.0) and Ice Cream Sandwich (Android 4.0) are megred into the same APK
* Kindle menu issue has been fixed
* FB2 footnote parsing issue has been fixed
* Updated Polish localization (by Tomasz Długosz)
* Updated French translation (by Mathias Monnerville)
* Updated Czech localization (by Marek Pavelka)

===== 1.2.6 (Dec 19, 2011) =====
* Android 3.*, 4.*: bottom buttons are hidden during book reading
* Curl page turning animation on android 4.* devices has been fixed
* Protected OPDS catalogs can be added from 'Add custom catalog' dialog

===== 1.2.5 (Dec 03, 2011) =====
* Installation on devices with pre-installed old version has been fixed

===== 1.2.4 (Dec 03, 2011) =====
* Android 4.* issues have been fixed
* Soft hyphen symbol (0xAD) support
* FBReader shows special info dialog in case of native library loading failure
* keymap.xml can be used for DPad key bindings too
* FBReader reads /system/usr/share/FBReader/keymap.xml
* Updated Hungarian localization (by Szabó Lajos Balázs)
* Updated Czech localization (by Marek Pavelka)
* Updated Chinese localization (by Shucang)
* Page drawing speed optimization

===== 1.2.3 (Nov 24, 2011) =====
* Network book info dialog crash on 3.* devices has been fixed

===== 1.2.2 (Nov 10, 2011) =====
* Fixed an exception in adding custom catalog (if an incorrect URL was entered)
* Updated Romanian localization (by Mary Hit)
* More accurate page counting for short books (<= 3 pages)
* Session cookies processing has been fixed
* Problem with catalog reloading has been fixed

===== 1.2.1 (Oct 22, 2011) =====
* Fixed network library crash for buy links with no price
* Fixed possible library crash during search
* Fixed possible crash on opening external links on Android 3.* devices
* x86 devices support
* Changed MiniHelp text: google groups is not linked more

===== 1.2.0 (Oct 16, 2011) =====
* Separate search for each network catalog
* Basket in LitRes e-book store
* Image scaling has been fixed
* Hyperlinks processing in epubs has been fixed
* Updated Italian localization (by Enrico Speranza)
* Romanian localization (by Mary Hit)
* Polish localization (by Tomasz Długosz)
* Aard dictionary integration has been added
* android.fbreader.action.VIEW action for opening FBReader from external applications
* Hyphenates long (multi-line) words even if hyphenations are disabled

===== 1.1.10 (Aug 03, 2011) =====
* Spanish localization (by Antonio Trueba)
* Swipe distance for starting page scrolling is <= .5 inch for all devices
* Authors with same surnames are not merged in library.

===== 1.1.9 (Jul 25, 2011) =====
* Fixed file ordering in Library->File tree

===== 1.1.4-1.1.8 (Jul 22-23, 2011) =====
* Quick fixes for 1.1.3

===== 1.1.3 (Jul 22, 2011) =====
* Library view: grouping books by first letter in title branch
* Library view: books by series
* Library view: background initialization
* Local library search searches by file names too
* Library view: background search
* 'invisible if pressed' issue for description in book information dialog has been fixed
* LitRes: username forgetting issue has been fixed
* Hyphenations for very long words (including multi-line words) has been implemented
* In case of cache writing failure FBReader shows a solution dialog
* "Secret feature" has been added: FBReader reads <Books Directory>/keymap.xml file
* German translation has been updated (by Ingolf Kübler)

===== 1.1.2 (Jul 05, 2011) =====
* Misc Litres fixes
* API: menu item request processing has been simplified
* First word on the page painting issue has been fixed

===== 1.1.1 (Jun 27, 2011) =====
* FBReader API has been added (a plugin for text-to-speech functionality that uses this API is released separately)
* Czech translation has been updated (by Marek Pavelka)
* Dutch translation has been updated (by Frank Fesevur)
* German translation has been updated (by Ingolf Kübler)
* "All books from this series" link for LitRes catalogue
* Related links for books in "LitRes/My books" catalogue

===== 1.1.0 (Jun 11, 2011) =====
* Text selection (original code by Dmitry Gordeev)
* Localization to Traditional Chinese (by Fung.T)

===== 1.0.12 (May 13, 2011) =====
* Image view settings
* Html in book description
* Option for disabling hardware button lights

===== 1.0.11 (May 07, 2011) =====
* Book description from OPDS full entry
* Fixed LitRes 'my books' entry loading
* Better error messages processing during network operations
* Fixed opds feed mimetype detection
* Fixed 'black strip' issue
* Lingo Quiz integration

===== 1.0.10 (May 02, 2011) =====
* LitRes: sort books by date of purchasing
* Fixed book downloading service (book-by-link-downloading works again)
* Old authentication dialog has gone
* 'Unencrypted protocol' warning message has been restored
* ODPS full entry support
* Related links for books
* Updated French translation (by Mathias Monnerville)

===== 1.0.9 (Apr 23, 2011) =====
* HttpConnection => HttpClient (that fixes a bug in SSL connection)

===== 1.0.8 (Apr 22, 2011) =====
* 'Footer is sensitive' option has gone
* GoDaddy root certificate has been added to the program
* Fixed scrolling delays

===== 1.0.7 (Apr 21, 2011) =====
* Fixed litres support
* Basic authentication (for OPDS catalogs)
* Cookies support
* Fixed unexpected scrolling after brightness adjustment
* Fixed custom OPDS catalogs search
* Fixed freezes in library view
* Fixed namespace processing order in XMLs

===== 1.0.6 (Apr 12, 2011) =====
* Fixed tap-only scrolling mode
* ePub 3.0: META-INF/container.xml parsing has been added (fixed a problem with ePubs containing multiple opf files)

===== 1.0.5 (Apr 11, 2011) =====
* Fixed NPE in animation scrolling
* Fixed navigation bar scrolling

===== 1.0.4 (Apr 11, 2011) =====
* Fixed no-animation scrolling
* Fixed zip input stream handler leak
* Fixed day/night switching

===== 1.0.3 (Apr 11, 2011) =====
* Corrected language list in book info editing activity
* Fixed custom catalog URL editing
* Curl scrolling speed optimization
* Czech translation has been updated (by Marek Pavelka)
* Fixed sporadic program freeze issue

===== 1.0.2 (Apr 06, 2011) =====
* Animation fixes
* Animation speed-up
* Fixed initial menu item set
* Fixed image scaling

===== 1.0.1 (Apr 05, 2011) =====
* Fixed first scrolling direction
* Animation speed option has been added
* Russian translation has been updated

===== 1.0 (Apr 04, 2011) =====
* Different (and configurable) actions for short and long Back button press (original code by Steffen Siebert)
* SlovoEd dictionaries support has been fixed
* Czech translation has been updated (by Marek Pavelka)
* No OutOfMemoryErrors in image loading code
* Float series index parsing has been fixed
* Different colors for visited and non-visited hyperlinks (original code by Steffen Siebert)
* Removed menubar.xml: menu list is moved into the code
* Curl page scrolling animation
* Proguard obfuscation has been added; package size decreased
* Hyphenation patterns for Dutch, Hungarian and Lithuanian (taken from FBReader C++)
* Hyphenation patterns for Polish (by Tomasz Długosz)
* Added Accept-Language field to all http requests

===== 0.99.18 (Mar 15, 2011) =====
* Web-free icon
* Epub TOC/cover processing has been fixed

===== 0.99.17 (Mar 13, 2011) =====
* Fixed vertical tap scrolling

===== 0.99.16 (Mar 12, 2011) =====
* Menu/navigation dialog will not shown by single tap if double tap is enabled
* NPE fixes

===== 0.99.14 (Mar 11, 2011) =====
* New application icon
* Thai localization (by Samphan Pojanasophanakul)
* Fixed TTF font style detection
* opds:// URLs support has been implemented
* Unexpected search call has been fixed
* Ignore case comparison for zip entry names
* Fixed custom OPDS link search
* Periodical update of custom links information has been added
* Epub rendering issues (like unexpected paragraph ends) were fixed
* Multi-body fb2 file processing has been fixed
* 'Cancel menu' preferences section
* LitRes: several views for purchased books

===== 0.99.13 (Feb 13, 2011) =====
* Fixed book/position forgetting bug
* Color channel values in color dialog
* Fixed categories displaying in feedbooks feed

===== 0.99.12 (Feb 09, 2011) =====
* Added support for more dictionaries (by Steffen Siebert)
* Option 'show status bar when menu becomes visible' (by Steffen Siebert)
* Litres: series list has been added
* Litres: recommendation list has been added

===== 0.99.11 (Feb 01, 2011) =====
* Galician translation has been added (by Miguel Anxo Bouzada)
* Czech translation has been updated (by Marek Pavelka)
* Mobipocket images/cover/links support has been added (by Steffen Siebert)
* Small fixes

===== 0.99.10 (Jan 30, 2011) =====
* Full-size image view
* ColorDict3 support (floating window)
* Scrolling speed improvement for large books
* Vietnamese translation has been updated (by Phạm Văn Hùng)
* Czech translation has been updated (by Marek Pavelka)
* Cancel button preesing calls a menu of actions

===== 0.99.6 (Jan 22, 2011) =====
* Wallpaper drawing speed-up

===== 0.99.5 (Jan 22, 2011) =====
* High-resolution menu icons have been added
* Menu icons style has been changed to be android 2.3-compliant
* OTF font files support
* Wallpapers support has been implemented
* Double tap is disabled by default; to view menu tap in bottom-central part of the screen, to view navigation dialog tap top-central part of the screen
* 'Books by title' branch in library

===== 0.99.4 (Jan 16, 2011) =====
* A list of dictionaries is supported (ColorDict, Fora, FreeDictionary.Org, SlovoEd German<->English) Code is partially written by Steffen Siebert
* Author of currently opened book is selected in library (same for series and tags)
* FB2 files with multiple XLink namespace prefixes processing has been fixed
* Dutch localization (by Frank Fesevur) has been added
* EPUB SVG images are supported now
* Relative link processing in epub files has been fixed (thanks to Steffen Siebert)

===== 0.99.3 (Jan 08, 2011) =====
* All word navigation mode is disabled by default; corresponding option in dictionary preferences works correctly
* Czech resources have been updated (by Marek Pavelka)

===== 0.99.2 (Jan 03, 2011) =====
* Sporadic options changes (e.g., for line spacing) issue has been fixed

===== 0.99.1 (Jan 03, 2011) =====
* Double tap enabling/disabling option
* Animation type option has been added with 3 values -- no animation; shift animation (as in fbreader < 0.99); slide animation (as in fbreader 0.99.0)
* Reloads hyphenation patterns if book language was changed
* Possible NPE in library has been fixed
* Hungarian resources have been updated (by L. B. Szabó)

===== 0.99.0 (Jan 02, 2011) =====
* Since this version a package available from Android market requires Android 1.6+. A package for Android 1.5 is still available from http://www.fbreader.org/
* Local library changes
	* New Library view (like network library view)
	* File tree item in library view
	* 'Favorites' item in library view
	* New book info activity: large cover image, annotation, etc.
	* Local library activity has been moved to a separate process
	* Speed and memory usage improvements for HUGE epub libraries
* New features in LitRes.Ru integration
	* All new features were moved to a separate plugin to avoid questions about "strange permissions required by FBReader"
	* Refilling LitRes account via text messages
* Options dialog
	* Options dialog has been changed to be more androidish
	* Dependent options
	* Color picker dialog (idea was taken from http://www.anddev.org/announce_color_picker_dialog-t10771.html)
	* Font directory option is only shown if external fonts are supported
* Footer changes
	* Footer style has been changed: filled rectangle is now used
	* Footer color option has been added
	* TOC marks in footer have been added (this is an optional feature)
* Other new features
	* Integration with ColorDict (a dictionary) has been implemented
	* Finger scrolling option has been extended; both tap and flick can scroll pages
	* Network library: language filter has been added
	* Devices with no hardware menu button are supported: double tap in the bottom half of the screen shows a menu
* Translations
	* Czech resources have been updated (by Marek Pavelka)
	* Chinese resources have been updated (by Shucang)
	* French resources have been updated (by Mathias Monnerville)
	* German resources have been updated (by Ingolf Kübler)
	* Hungarian resources have been updated (by L. B. Szabó)

===== 0.7.17 (Nov 14, 2010) =====
* Network catalog order has been changed: language is used for ordering
* LitRes authentication has been fixed

===== 0.7.16 (Nov 11, 2010) =====
* Czech resources have been updated
* An NPE during library starting has been fixed (this NPE only occures on systems with locale "not supported" by FBReader (like Spanish, Finnish, Japan, etc.)

===== 0.7.15 (Nov 11, 2010) =====
* External TTF fonts are supported (for Android version >= 1.6)
* Ukrainian localization (by Dmytro Shevchenko) has been added
* Default font size depends on display DPI

===== 0.7.14 (Nov 03, 2010) =====
* Screen brightness adjustment has been implemented (idea was taken from Aldiko and https://github.com/cujo/FBReaderJ)
* System settings are now used to format time in footer
* Ukrainian hyphenations have been fixed
* Czech resources have been updated

===== 0.7.13 (Oct 28, 2010) =====
* NoSuchFieldException has been fixed
* Czech resources have been updated

===== 0.7.12 (Oct 28, 2010) =====
* On-timer footer update has been added
* Keys backlight is now disabled during reading
* Filemanager associations have been fixed

===== 0.7.11 (Oct 24, 2010) =====
* Several craches have been fixed

===== 0.7.10 (Oct 24, 2010) =====
* Resources have been updated

===== 0.7.9 (Oct 24, 2010) =====
* List of styles has been fixed in the Options dialog
* Monospace font has been included in the fonts list
* Wakelock will be acquired during first page repainting, not during screen switching on. That prevents from
power comsumption if FBReader works and the screen was switched on accidentally (but not unlocked).
* Footer code (by Yuri Chernyavskiy) has been integrated

===== 0.7.8 (Oct 10, 2010) =====
* Processing of large OPDS feeds (> 500 books in one file) has been fixed
* Network library doesn't throw an Exception if an SD card is unavailable
* Internal change: Error messaging system in network library has been rewritten using excpetions
* Better error processing for litres e-book catalog

===== 0.7.7 (Oct 06, 2010) =====
* Power consumption has been fixed

===== 0.7.6 (Oct 05, 2010) =====
* Application icon with better resolution has been added
* Czech localization (by Marek Pavelka) has been added
* Loading of large catalogs (e.g., Manybooks->Authors->L) has been fixed
* Default e-mail will be used during registration at litres

===== 0.7.5 (Sep 22, 2010) =====
* Mistyping in Russian help has been fixed
* On-fly language change has been implemented

===== 0.7.4 (Sep 20, 2010) =====
* EMPTY-LINE tag in fb2 files is now supported
* better support for STANZA tag in fb2
* EStrong File Explorer can be used to open fb2/epub files in FBReader
* French resources have been updated

===== 0.7.3 (Sep 15, 2010) =====

* Sporadic program openings during internet browsing has been fixed
* Minor bugfixes

===== 0.7.1/2 (Sep 13, 2010) =====

* Support for reading books from any folders (e.g. opening books via file-manager)
* Support for links in browser with "epub:" protocol (Stanza links)
* Using e-mail from gmail accounts at "Sign In" dialog in Network library (only Android 2.0 and greater)
* Some bugfixes

===== 0.7.0 (Sep 03, 2010) =====

* Catalog's loading resumption nearly from position when "back" key has been pressed
* New "Navigation" dialog: user can navigate using slider. To see this dialog touch
  the screen for a long time.
* Hyphenation for words containing '-' symbol has been fixed
* New "Custom catalogs" feature: user can manually add OPDS catalogs to the network library
* Vietnamese interface translation (by Phạm Văn Hùng_Firestork) has been added
* Italian interface translation (by Vytek and Neoxx from AndDev.it Translate Team) has been added
* Hungarian interface translation (by L. B. Szabó, based on FBReader translation by Sándor Gábor) has been added
* Scrollbar is shown on Android 2.2 devices
* Installation to SD Card is now possible
* New icon that indicates a status of a book (Paid / Free downloadable / Already downloaded) in Network library
* An option for inverting volume keys actions has been added
* A problem with Eken tablet devices has been fixed: status bar is always visible on these tablets now

===== 0.6.6 (May 20, 2010) =====

* FBReader doesn't require to press the screen off button twice
* FBReader doesn't go to the background after changing status bar option
* FBReader keeps rotation after switching screen off and back

===== 0.6.5 (May 14, 2010) =====

* Network library view has been completely changed: each subcatalog opens in new window
* "Network search" item has been added to the Network Library
* "My Books" item never becomes hidden; Authentication dialog is showed if needed
* Options menu has been added to Network Catalogs
* Books directory is now configurable
* Manybooks catalog has been added
* A processing of ePub internal hyperlinks with "/../" in the path has been fixed
* German interface translation (by Victor Massini) has been added

===== 0.6.4 (May 1, 2010) =====

* Zip decompressing has been fixed

===== 0.6.3 (Apr 30, 2010) =====

* A problem with some zip-archives has been fixed
* Searching for books in network catalogs has been implemented
* Stopping catalogs loading from context menu
* Users registration in Litres network catalog

===== 0.6.2 (Apr 26, 2010) =====

* Downloader service priority has been decreased for better UI responsivity
* New menu items: Rotate Screen, Zoom In, Zoom Out
* A problem with %-escaped file names inside ePubs has been fixed
* Small fixes in "Old" Preferences Dialog (by Robert Stockton)

===== 0.6.1 (Apr 23, 2010) =====

* User can preview a book before downloading/purchasing
* French resources have been updated

===== 0.6.0 (Apr 19, 2010) =====

* Chinese text layouting has been implemented (we use native liblinebreak library
  from http://vimgadgets.cvs.sourceforge.net/vimgadgets/common/tools/linebreak/)
* Network libraries integration has been included
* Chinese interface translation has been added (by shucang.com)
* French interface translation has been added (by Sébastien Rodriguez & Pierre Senellart)
* Meta information reading for ePubs from www.gutenberg.org has been fixed
